function B = sbezout(a,b,y)
%Symbolic bezout matrix

%p_ = subs(p,s,-s);
%B = maple('bezout',p,p_,y);
%J = eye(size(B));
%B = 1/2*J*B*J;


%b = subs(a,s,-s);
p = matdeg(a,y);

q = matcoef(a,y);
r = matcoef(b,y);

%q = fliplr(q);
%r = fliplr(r);

t = zeros(size(q));
q = [q t];
r = [r t];

%-----<<< Compute the Bezout matrix >>>-----
for i = 1:p,
    for j = i:p,
        bij = 0;
        for k = i+j-p-1:i-1
            if (k >= 0) & (k <= p) & (i+j-k-1 >= 0) & (i+j-k-1 <= p)
                bij = bij + q(i+j-k)*r(k+1) - q(k+1)*r(i+j-k);
            end;
        end;
    B(i,j) = bij; 
    B(j,i) = bij;
    end;
end;

%-----<<< END >>>-----


%-----<<< Compute the Bezout matrix >>>-----
%for i = 1:p,
%    for j = i:p,
%        bij = 0;
%        for k = i+j-p-1:i-1,
%            if (k >= 0) & (k <= p) & (i+j-k-1 >= 0) & (i+j-k-1 <= p)
%                bij = bij + q(i+j-k)*r(k+1) - r(i+j-k)*q(k+1);
%            end;
%        end;
%    B(i,j) = bij; 
%    B(j,i) = bij;
%    end;
%end;

%-----<<< END >>>-----